image: node:latest

deploy_production:
  stage: deploy
  environment: Production
  only:
    - master
  script:
    - npm install
    - npm install -g firebase-tools
    - npm run build
    - firebase deploy -m "Pipeline $CI_PIPELINE_ID, build $CI_BUILD_ID" --non-interactive --token "1/Y_M2QWMicI4EvkL2JI9ulTydeNfRh2UBx9dKDcfd7Kc"
